Tan07MagnesiumCorrection
Date: 2014-08-08

melting.ionCorrection.magnesiumCorrections

## Class Tan07MagnesiumCorrection

- java.lang.Object
- - melting.correctionMethods.EntropyCorrection
  - - melting.ionCorrection.magnesiumCorrections.Tan07MagnesiumCorrection

- All Implemented Interfaces:
    CorrectionMethod, NamedMethod

      public class Tan07MagnesiumCorrection
      extends EntropyCorrection
      implements NamedMethod

  This class represents the magnesium correction model tanmg07. It extends EntropyCorrection. Zhi-Jie Tan and Shi-Jie Chen," RNA helix stability in Mixed Na+/Mg2+ solutions", 2007, Biophysical Journal, 92, 3615-3632.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `aFormula`
    `protected static java.lang.String` | `bFormula`
    `protected static java.lang.String` | `entropyCorrection` String entropyCorrection : formula for the entropy correction
    `protected static java.lang.String` | `gFormula` String gFormula : function associated with the electrostatic folding free energy per base stack.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tan07MagnesiumCorrection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `computeFreeEnergyPerBaseStack(Environment environment)` represents the function associated with the electrostatic folding free energy per base stack.
    `protected double` | `correctEntropy(Environment environment)` corrects the computed entropy (delta S (Na = 1M)).
    `java.lang.String` | `getName()` Gets the full name of the method.
    `boolean` | `isApplicable(Environment environment)` Check if the environment chosen by the user is a applicable with the correction model.

    - ### Methods inherited from class melting.correctionMethods.EntropyCorrection

      `correctMeltingResults`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entropyCorrection

          protected static java.lang.String entropyCorrection

      String entropyCorrection : formula for the entropy correction

    - #### aFormula

          protected static java.lang.String aFormula

    - #### bFormula

          protected static java.lang.String bFormula

    - #### gFormula

          protected static java.lang.String gFormula

      String gFormula : function associated with the electrostatic folding free energy per base stack.

  - ### Constructor Detail

    - #### Tan07MagnesiumCorrection

          public Tan07MagnesiumCorrection()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(Environment environment)

      Description copied from interface: `CorrectionMethod`
      Check if the environment chosen by the user is a applicable with the correction model.
      Specified by:
        `isApplicable` in interface `CorrectionMethod`
      Overrides:
        `isApplicable` in class `EntropyCorrection`
      Returns:
        false if the correction method can't be used with the Environment. If the environment can make the results less reliable, a warning message will appear.

    - #### correctEntropy

          protected double correctEntropy(Environment environment)

      Description copied from class: `EntropyCorrection`
      corrects the computed entropy (delta S (Na = 1M)).
      Overrides:
        `correctEntropy` in class `EntropyCorrection`
      Returns:
        double : corrected entropy;

    - #### computeFreeEnergyPerBaseStack

          public static double computeFreeEnergyPerBaseStack(Environment environment)

      represents the function associated with the electrostatic folding free energy per base stack.
      Parameters:
        `environment` -
      Returns:
        double g2 which represents the result of the function associated with the electrostatic folding free energy per base stack.

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.